# Class ReaderCharacterIterator

java.lang.Object
com.codename1.util.regex.ReaderCharacterIterator

All Implemented Interfaces:
  `CharacterIterator`

public final class ReaderCharacterIterator extends Object implements CharacterIterator
Encapsulates java.io.Reader as CharacterIterator

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReaderCharacterIterator(Reader reader)`

  ###### Parameters

- ## Method Summary

  Modifier and Type
  Method
  Description
  `char`
  `charAt(int pos)`

  ###### Returns

  `boolean`
  `isEnd(int pos)`

  ###### Returns

  `String`
  `substring(int beginIndex)`

  ###### Returns

  `String`
  `substring(int beginIndex, int endIndex)`

  ###### Returns

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### ReaderCharacterIterator

    public ReaderCharacterIterator(Reader reader)

    ###### Parameters

    - `reader`: a Reader, which is parsed

- ## Method Details

  - ### substring

    public String substring(int beginIndex, int endIndex)

    ###### Returns

    a substring

    Specified by:
      `substring` in interface `CharacterIterator`

  - ### substring

    public String substring(int beginIndex)

    ###### Returns

    a substring

    Specified by:
      `substring` in interface `CharacterIterator`

  - ### charAt

    public char charAt(int pos)

    ###### Returns

    a character at the specified position.

    Specified by:
      `charAt` in interface `CharacterIterator`

  - ### isEnd

    public boolean isEnd(int pos)

    ###### Returns

    true iff if the specified index is after the end of the character stream

    Specified by:
      `isEnd` in interface `CharacterIterator`